Topics

Avoid esp266 board manager 2.6.3, use 2.6.2

Dave Schwartz
 

I just did a complete refresh of OnStep code including all available Arduino board and library updates. After build and upload of the WiFi module, connectivity was broken. I downgraded back to 2.6.2 and all is well again.

Khalid Baheyeldin
 

Wiki for WiFi Bluetooth updated to reflect this.

Howard Dutton
 
Edited

From what I understand the encoder library support in anything after version 2.4.2 is still broken too.  There are patches but not incorporated yet.

Khalid Baheyeldin
 

Wording changed. Please check it for accuracy.

Dave Schwartz
 

The first note is too extreme. 2.4.2 is old but did work for comms in the distant past. 2.5.2 worked too (after they repaired what they broke in 2.5.0). Seems they have embarked on a new cycle of 'breaking things' with 2.6.3.

If Howard says 2.4.2 is the only one that works with encoders then use that if you need encoders too. Just don't be tempted by the IDE's offer to update whichever version you decide to use.


On January 12, 2020 3:59:15 PM EST, Khalid Baheyeldin <kbahey@...> wrote:
Wording changed. Please check it for accuracy.

--
Sent from my Android device with K-9 Mail. Please excuse my brevity.

Khalid Baheyeldin
 

Reworded again.

Dave Schwartz
 

Ok by me (except for the missing second '.' in 2.5.2)


On January 12, 2020 4:20:08 PM EST, Khalid Baheyeldin <kbahey@...> wrote:
Reworded again.

--
Sent from my Android device with K-9 Mail. Please excuse my brevity.